Skip to main content
`Ctrl`+`K`

# PetscFEViewFromOptions

View from a `PetscFE` based on values in the options database

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFEViewFromOptions(PetscFE A, PeOp PetscObject obj, const char name[])

Collective

## Input Parameters

- A - the `PetscFE` object

- obj - Optional object that provides the options prefix, pass `NULL` to use the options prefix of `A`

- name - command line option name

## See Also

`PetscFE`, `PetscFEView()`, `PetscObjectViewFromOptions()`, `PetscFECreate()`

## Level

intermediate

## Location

src/dm/dt/fe/interface/fe.c

## Examples

src/ts/tutorials/ex30.c

Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages